# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "cfcli"
version = "0.4.0"
authors = ["Marcus Eliasson <marcus@bitcraze.io>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Crazyflie command-line client"
readme = "README.md"
keywords = [
    "crazyflie",
    "cli",
]
categories = ["hardware-support"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/evoggy/cfcli"

[[bin]]
name = "cfcli"
path = "src/main.rs"

[dependencies.async-stream]
version = "0.3.1"

[dependencies.clap]
version = "4.5.46"
features = ["derive"]

[dependencies.clap-num]
version = "1.2.0"

[dependencies.clap_generate]
version = "3.0.3"

[dependencies.colored]
version = "3.0.0"

[dependencies.confy]
version = "2.0.0"

[dependencies.crazyflie-lib]
version = "0.4.0"
default-features = false

[dependencies.crazyflie-link]
version = "0.3.0"
default-features = false

[dependencies.env_logger]
version = "0.11.8"

[dependencies.flume]
version = "0.11.1"

[dependencies.futures]
version = "0.3"

[dependencies.futures-util]
version = "0.3"

[dependencies.half]
version = "2.6.0"

[dependencies.indicatif]
version = "0.18.1"
features = ["tokio"]

[dependencies.inquire]
version = "0.9.1"

[dependencies.num_enum]
version = "0.7.4"

[dependencies.probe-rs]
version = "0.30.0"

[dependencies.rand]
version = "0.9.2"

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.143"

[dependencies.serde_yaml]
version = "0.9.34"

[dependencies.tokio]
version = "1.47.1"
